Spigot FlightControl (1.8-1.15) [1.16 BETA ON DISCORD] 4.3.11

Control WorldGuard regions, Factions territories, and MUCH, MUCH more...

  1. geo4574 updated FlightControl with a new update entry:

    v2.1

    Read the rest of this update entry...
     
  2. tbi

    tbi

    how do I compile this from source?

    after sorting out its dependencies its pom.xml just keeps making maven throw out a fatal error.


    [FATAL] Non-resolvable parent POM for org.Spazzinq:FlightControl:[unknown-version]: Failure to find org.Spazzinq:FlightControl-parrent:pom:2.1 in http://ci.ender.zone/plugin/repository/everything/ was cached in the local repository, resolution will not be reattempted until the update interval of ess has elapsed or updates are forced and 'parent.relativePath' points at wrong local POM @ line 5, column 13
    @
    [ERROR] The build could not read 1 project -> [Help 1]
    [ERROR]
    [ERROR] The project org.Spazzinq:FlightControl:[unknown-version] (F:\minecraft\buildfiles\FlightControl-master\FlightControl\pom.xml) has 1 error
    [ERROR] Non-resolvable parent POM for org.Spazzinq:FlightControl:[unknown-version]: Failure to find org.Spazzinq:FlightControl-parrent:pom:2.1 in http://ci.ender.zone/plugin/repository/everything/ was cached in the local repository, resolution will not be reattempted until the update interval of ess has elapsed or updates are forced and 'parent.relativePath' points at wrong local POM @ line 5, column 13 -> [Help 2]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
    [ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/UnresolvableModelException
     
  3. Reading the error, it seems like maven is searching for an artifact in the wrong repository. (It also seems as if you misspelled "parent" while trying to sort the dependencies.) If you want faster help, I'd join the Discord btw ;)
     
  4. tbi

    tbi

    ok I will do that.
     
  5. geo4574 updated FlightControl with a new update entry:

    Actionbar & Command Options (v2.2)

    Read the rest of this update entry...
     
  6. [08:34:13 ERROR]: Could not load 'plugins/FlightControl.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: com/intellectualcrafters/plot/flag/Flag
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:134) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:329) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:235) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:786) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_191]
    Caused by: java.lang.NoClassDefFoundError: com/intellectualcrafters/plot/flag/Flag
    at org.Spazzinq.FlightControl.FlightControl.<init>(FlightControl.java:68) ~[?:?]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_191]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_191]
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_191]
    at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_191]
    at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_191]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:74) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:130) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: com.intellectualcrafters.plot.flag.Flag
    at java.net.URLClassLoader.findClass(URLClassLoader.java:382) ~[?:1.8.0_191]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:138) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:84) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_191]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_191]
    at org.Spazzinq.FlightControl.FlightControl.<init>(FlightControl.java:68) ~[?:?]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_191]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_191]
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_191]
    at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_191]
    at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_191]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:74) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:130) ~[Paper-1.13.2.jar:git-Paper-"a7f924c2"]


    Please help solve this problem.!!!!!!!!!
     
  7. I've had great success with this plugin except for one thing, that is creative mode. Flight is disabled in creative mode unless the user has permission to fly. Is there a permission for flight always being allowed in creative and/or another solution?
     
  8. I opened up the flight on the world list and the next day I got an error
     
  9. Why does he have a conflict with PlotSquared when I install PlotSquared and Flightcontrol doesn't work
     
  10. They support PlotSquared, I’m not sure what you mean by “conflict with PlotSquared.” How does FlightControl not work? Can you not fly in plots?
     
  11. You can see the error above. I do have a conflict with PlotSquared who doesn't load the plugin directly and I hope you can fix that. I love this plugin!!
     
  12. The error is caused probably because I have not updated to PlotSquared 4. The next update will address this issue. Thanks for your patience!
     
  13. Thanks for your good author and good plugin
     
  14. I urgently need to use this plug-in now. Thank you, author
     
  15. It will be posted very soon, I apologize for the wait (I was on vacation!)

    I'm estimating 1 week or so.
     
  16. Well, I'll be waiting for you. Have a nice holiday
     
  17. geo4574 updated FlightControl with a new update entry:

    Custom Flight Trail & Blacklist System (v2.5)

    Read the rest of this update entry...
     
  18. can you add towny support?
     
  19. Replied to on GitHub!